warzone2100 (4.4.2-1+rpi1) trixie-staging; urgency=medium

  * Link with libatomic on armhf too.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 26 Jun 2024 01:39:16 +0000

warzone2100 (4.4.2-1) unstable; urgency=medium

  * new upstream release lots of bug fixes
  * Use Bubblewrap by default, run warzone2100.real for the non-wrapped version

 -- Russell Coker <russell@coker.com.au>  Fri, 29 Dec 2023 15:05:34 +1100

warzone2100 (4.4.0-1) unstable; urgency=medium

  * new upstream release
    Removed the patch to stop SEGV as that's now upstream
    Fixed the FTBFS on Unstable GCC Closes: #1054703

 -- Russell Coker <russell@coker.com.au>  Tue, 07 Nov 2023 13:14:00 +1100

warzone2100 (4.3.5-2) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #1022987)
    + Let dh_auto_configure pass cross flags to cmake.
    + Disable -Wdate-time as it breaks the build with -Werror.
    Thanks Helmut Grohne <helmut@subdivi.de>
  * Removed Paul Wise from Uploaders
  * Removed the old version of flex from build-depends as we don't even test
    with that, now requires only the new version.
  * Added a patch to stop a SEGV if it can't execute which via popen.  Patch
    has been accepted upstream so will remove in a future release.

 -- Russell Coker <russell@coker.com.au>  Tue, 01 Aug 2023 18:55:29 +1000

warzone2100 (4.3.5-1) unstable; urgency=medium

  * Removed patch k_mem_alloc-Ignore-Wcast-align-on-GCC-on-all-archit as it's
    been included upstream.
  * Take new upstream version, closes: #1037028

 -- Russell Coker <russell@coker.com.au>  Fri, 23 Jun 2023 17:04:01 +1000

warzone2100 (4.3.3-3) unstable; urgency=medium

  * Team upload.
  * debian/*.{substvars,stamp,debhelper}: Dropped, they shall not
    exist in packaging dir.
  * debian/control: Bump Standards-Version to 4.6.2.
  
  [ Adrian Bunk ]
  * debian/rules: Update -latomic workaround for more architectures.
  * debian/patches/0001: Add patch for Wcast-align build errors.
    (Closes: #1028440)

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Jan 2023 12:28:45 -0500

warzone2100 (4.3.3-2) unstable; urgency=medium

  * Added build-depends on libopus-dev Closes: #1028249
  * Added build-depends on libshaderc-dev and glslc to add Vulkan
    Closes: #1027722
  * Changed the datadir patch to have priority 5 to allow mods to work,
    addressed an issue mentioned in bug 1000302 but doesn't fix it
  * Removed the debian/clean entries for LEXX generated files because we
    can't regenerate them at this time, see bug 1000301
    This means you can run dpkg-buildpackage twice without a strange LEXX
    related build failure

 -- Russell Coker <russell@coker.com.au>  Mon, 09 Jan 2023 21:43:32 +1100

warzone2100 (4.3.3-1) unstable; urgency=medium

  * New upstream.
  * Upstream includes the patch 0007-Temporarily-disable-Wnull-dereference-on-GCC-12.patch
  * Lots of upstream changes.
  * Builds without errors, closes: #1027650

 -- Russell Coker <russell@coker.com.au>  Sun, 08 Jan 2023 21:44:09 +1100

warzone2100 (4.2.7-2) unstable; urgency=medium

  * Team upload.
  * debian/*: Drop *.{debhelper,substvars} and build-stamp.
    They should not appear in packaging repo.
  * debian/compat: Dropped, use debhelper-comapt instead.
  * debian/patches/backport-gcc-12/: Add upstream temp patch to
    silence gcc 12 warnings. (Closes: #1013065)
  * debian/rules: Add -latomic for riscv64 to prevent FTBFS.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 11:28:56 -0400

warzone2100 (4.2.7-1) unstable; urgency=medium

  * Just update to 4.2.7.  Lots of upstream changes, mostly bug fixes.

 -- Russell Coker <russell@coker.com.au>  Sat, 07 May 2022 12:56:54 +1000

warzone2100 (4.2.3-3) unstable; urgency=medium

  * Team upload.
  * Restore the 4.2.1-2 changelog entry so that the history is linear again.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Dec 2021 18:17:15 +0100

warzone2100 (4.2.3-2) unstable; urgency=medium

  * Team upload.
  * Restore the missing build dependency on libvulkan-dev (from 4.2.1-2).

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Dec 2021 16:00:01 +0100

warzone2100 (4.2.3-1) unstable; urgency=medium

  * New upstream version, fixes many bugs and added a new 7 player skirmish map

 -- Russell Coker <russell@coker.com.au>  Wed, 01 Dec 2021 06:38:20 +0000

warzone2100 (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add missing build dependency on libvulkan-dev. With this change, the
    package builds on unstable. Closes: #984403.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Nov 2021 11:21:25 +0100

warzone2100 (4.2.1-1) unstable; urgency=medium

  * New upstream version built with cmake.
    Adds T4 tech level (all technology) for skirmish games.
    Uses floating point for many things that were integer, things flow more.
    Adds support for changing menu and font sizes on high resolution displays,
    works nicely in 4K.
    Add ultimate scavengers.
    Tweak lots of values for damage and for research tree.
    Add spectators for multiplayer.
    Stop using QT libraries.
    AI improvements.
  * Added gnutls-dev, libcurl4-gnutls-dev, libsodium-dev, and libsqlite3-dev
    to build-depend
  * Removed quickstartguide.pdf, the HTML file is enough.
  * It doesn't run flex or bison and takes generated files from upstream, it
    is a bug that the cmake configuration from upstream doesn't support
    running flex or bison.  Upstream bug.
  * datadir.patch hard codes the datadir because I can't get CMake to take it
    as a config option.  The need to do this is either a Debian bug or an
    upstream bug.

 -- Russell Coker <russell@coker.com.au>  Sat, 20 Nov 2021 23:29:12 +1100

warzone2100 (3.3.0-4) unstable; urgency=medium

  * Team upload.
  * Remove wkhtmltopdf from Build-Depends and explain how to build the
    pdf documentation from source in README.source.
    This is currently necessary to prevent a FTBFS on mipsel. However the pdf
    documentation can be rebuilt on all other supported architectures and the
    same guide is also already available in html.

 -- Markus Koschany <apo@debian.org>  Sat, 17 Oct 2020 00:11:13 +0200

warzone2100 (3.3.0-3) unstable; urgency=medium

  * Team upload.
  * Add wkhtmltopdf.patch and grant wkhtmltopdf access to local files in order
    to prevent a FTBFS. (Closes: #971194)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Install the appdata file.

 -- Markus Koschany <apo@debian.org>  Tue, 06 Oct 2020 22:57:35 +0200

warzone2100 (3.3.0-2) unstable; urgency=medium

  * Build-depend on libharfbuzz-dev  Closes: #953351
  * Added myself to the uploaders.
  * NB wkhtmltopdf needs execmem access to run without SEGV.

 -- Russell Coker <russell@coker.com.au>  Tue, 10 Mar 2020 00:24:48 +1100

warzone2100 (3.3.0-1) unstable; urgency=medium

  * New upstream version with NullBot as default AI among many other changes.
    Save game format is incompatible with 3.2.x.
  * Build depend on wkhtmltopdf for wkhtmltopdf command to make pdf from html
  * Remove quickstartguide.patch as we need to build some pdfs because
    upstream doesn't ship them.
  * Build depend on libglm-dev so we don't need 3rdparty/glm
  * Added an excessive number of rules to debian/source/options, maybe some
    changes to the build commands are needed to deal with this.
  * doc/Readme.en is no longer in the upstream tarball.
  * Uploaded with approval of Markus.

 -- Russell Coker <russell@coker.com.au>  Sun, 08 Mar 2020 11:51:04 +1100

warzone2100 (3.2.1-4) unstable; urgency=medium

  * Team upload.
  * Move the package to salsa.debian.org.
  * Fix segmentation fault upon multiplayer "Start Hosting Game"
    Thanks to Phil Morrell for the report and Bernhard Übelacker for the patch.
    (Closes: #930942)

 -- Markus Koschany <apo@debian.org>  Wed, 26 Jun 2019 06:49:41 +0200

warzone2100 (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop obsolete menu file and xpm icons. Remove imagemagick from B-D.
  * Fix build with miniupnpc API 16.
    Thanks to Peter Michael Green for the patch. (Closes: #889059)

 -- Markus Koschany <apo@debian.org>  Sat, 24 Feb 2018 00:51:59 +0100

warzone2100 (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add openssl-1.1.patch and fix FTBFS with OpenSSL 1.1. (Closes: #844870)
  * Fix Lintian warning space-in-std-shortname-in-dep5-copyright.
  * Really use compat level 10.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 20:51:47 +0100

warzone2100 (3.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Russell Coker ]
  * New upstream version 3.2.1. (Closes: #814248)
  * Build-depend on qtbase5-dev qtscript5-dev libsdl2-dev instead of
    libqt4-dev.
  * Patch for too many parameters for upnpDiscover() to fix a FTBFS.
  * Change patches to apply to latest upstream.
  * Update revert-372eff6693e633e8d0d1d0b8a9ceb996a5c3f49f.patch and call
    automake1.11 directly. (Closes: #824011)

  [ Markus Koschany ]
  * Add missing libssl-dev to Build-Depends.
  * Disable the tests by overriding dh_auto_test and work around a FTBFS.
  * Use compat level 10.
  * d/rules: Pass --with-appdatadir option to dh_auto_configure.
  * Add appdata.patch and install the missing appdata file.
  * Remove libsdl1.2-dev from B-D.
  * Use embedded version of glm to build the game because Debian's version
    causes graphical glitches (rotating units). It also does not provide a
    shared library which might cause further work in the future.
  * Update debian/copyright for new release.
  * Update debian/clean and ensure that the package can be built twice in a
    row.
  * Remove wkhtmltopdf from Build-Depends and add quickstartguide.patch for now
    because building the pdf documentation from source is causing a FTBFS at the
    moment.
  * d/rules: Replace --disable-debug with --enable-debug=no. The former option
    did nothing.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Sep 2016 20:34:59 +0200

warzone2100 (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Rebase fix-yacc patch.
  * Add redefinition-FTBFS.patch
    Adjust lexer files to prevent a FTBFS with newer flex versions.
    (Closes: #818072)
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * debian/control: Change Recommends: warzone2100 to Suggests.
  * Drop debug package and use the automatically provided -dbgsym package
    instead.
  * Fix Lintian warnings space-in-std-shortname-in-dep5-copyright,
    unused-file-paragraph-in-dep5-copyright and
    wildcard-matches-nothing-in-dep5-copyright in debian/copyright.

 -- Markus Koschany <apo@debian.org>  Sun, 01 May 2016 16:31:18 +0200

warzone2100 (3.1.1-2) unstable; urgency=medium

  * Fix FTBFS with GLEW 1.12 using upstream patch (Closes: #790857)

 -- Paul Wise <pabs@debian.org>  Thu, 01 Oct 2015 12:51:07 +0200

warzone2100 (3.1.1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release (Closes: #714687)
  * Bump Standards-Version, no changes needed
  * Ancient dpkg-dev dep is satisfied in all Debian/Ubuntu releases, drop it
  * Delete more generated files so that they get rebuilt
  * Add some DEP-3 headers to the patches
  * Build the Debian menu XPM files from upstream icons
  * Move to unstable

  [ Clint Adams ]
  * Build-depend on automake1.11.
  * Patch to build with newer bison and such.

 -- Paul Wise <pabs@debian.org>  Sun, 26 Oct 2014 10:11:40 +0800

warzone2100 (3.1~rc2-1) experimental; urgency=low

  * New upstream release candidate
    - Includes FTBFS patch, drop it

 -- Paul Wise <pabs@debian.org>  Fri, 24 Aug 2012 09:08:30 +0800

warzone2100 (3.1~beta11-3) unstable; urgency=medium

  * Allow building with newer miniupnpc (Closes: #751229)

 -- Paul Wise <pabs@debian.org>  Mon, 07 Jul 2014 12:52:37 +0800

warzone2100 (3.1~beta11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/miniupnpc8-compat.patch: Apply patch from James Page
    to fix compilation against miniupnpc 1.6. (Closes: #651309)
  * debian/control: Bump B-D on libminiupnpc-dev to >= 1.6 since the patch
    makes it incompatible with older versions.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jan 2014 22:18:01 +0100

warzone2100 (3.1~beta11-2) unstable; urgency=low

  * Fix FTBFS on non-x86 platforms using upstream patch

 -- Paul Wise <pabs@debian.org>  Thu, 21 Jun 2012 11:09:40 +0800

warzone2100 (3.1~beta11-1) unstable; urgency=low

  * New upstream beta release (LP: #886492)
    - Upstream switched from GLee to GLEW, change build-dep
    - Upstream requires Qt at build time, add build-dep
    - Upstream now uses xrandr, add build-dep
    - Add more new build-deps
    - Fixes loss of energy after loading games (Closes: #631083)
  * Detect more tarball types in the watch file
  * Bump debhelper compat level
  * Bump Standards-Version, no changes needed
  * dh now wants the sequence before the options
  * GLee removed upstream, no need to remove it
  * miniupnpc copy moved around remove new location
  * delete all of the current and future embedded code copies
  * Remove the quesoglc embedded code copy too
  * Update patch to use system quesoglc too
  * wrap-and-sort -sa
  * Drop autotools_dev, not needed with autoreconf
  * Enable all the hardening flags
  * Do not ship the map binaries
  * Brad is MIA, drop him from uploaders (Closes: #674893)
  * Build against libpng-dev instead (Closes: #662544)
  * Switch to machine-readable copyright format 1.0
  * Remove generated docs so we regenerate them
  * Fix the Vcs-Browser field

 -- Paul Wise <pabs@debian.org>  Wed, 20 Jun 2012 21:47:53 +0800

warzone2100 (2.3.8-1) unstable; urgency=low

  * New upstream release
    - Refresh miniupnpc removal patch
    - Build and install new upstream docs
  * Complies with latest policy, bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Sat, 21 May 2011 16:31:49 +0800

warzone2100 (2.3.7-2) unstable; urgency=low

  * Switch from embedded code copy to the system miniupnpc
  * Since the package moved to sid a long time ago it isn't
    valid to consider rc and beta versions, adjust watch file

 -- Paul Wise <pabs@debian.org>  Fri, 11 Mar 2011 17:37:37 +0800

warzone2100 (2.3.7-1) unstable; urgency=low

  * New upstream release
    - No longer ignores armor (Closes: #606402)
  * Set the distributor based on the build distribution
  * Switch to dh from debhelper 7
  * Switch to dpkg-source v3

 -- Paul Wise <pabs@debian.org>  Fri, 18 Feb 2011 23:25:23 +0800

warzone2100 (2.3.4-1) unstable; urgency=low

  * New upstream bugfix release
    - Really fixes issues in 2.3.2

 -- Paul Wise <pabs@debian.org>  Thu, 19 Aug 2010 21:32:26 +0800

warzone2100 (2.3.3-1) unstable; urgency=low

  * New upstream bugfix release
    - Fixes issues in 2.3.2 (Closes: #591215)
    - Upstream community renamed, update copyright information

 -- Paul Wise <pabs@debian.org>  Thu, 05 Aug 2010 21:08:56 -0400

warzone2100 (2.3.2-1) unstable; urgency=low

  * New upstream release
  * Drop "Resurrection" from description on upstream's request
  * Fix FTBFS when building twice in a row (Closes: #588006)
  * Drop libglee-dev package alternative since it doesn't exist
  * Include full text of BSD license in copyright information
  * Package now complies with policy 3.9.1, update Standards-Version

 -- Paul Wise <pabs@debian.org>  Mon, 26 Jul 2010 16:02:12 -0400

warzone2100 (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #579282) (LP: #593443)
    - Stable release so uploading to unstable
    - No longer FTBFS with binutils-gold (Closes: #556919)
    - Fixes "stack smashing detected" problem (LP: #520432)
    - Fixes error in pt_BR translation (Closes: #583163)
  * Bump Standards-Version, no changes needed
  * Update watch file to also report rc/beta with letters in the version
  * Mention the new videos in the package description and point people
    at the upstream website for downloading and installing them since
    Debian does not yet have a good solution for distributing them.
    (Closes: #439736) (LP: #587909)
  * Use the system GLee and remove the embedded version during build
  * Explicitly use dpkg-source 1.0 format
  * Drop some build-depends:
    - libsdl-net1.2-dev: no longer used upstream
    - autotools: no longer used by the packaging

 -- Paul Wise <pabs@debian.org>  Sun, 20 Jun 2010 22:48:09 +0800

warzone2100 (2.3~beta7-1) experimental; urgency=low

  * New upstream beta release
    - Added missing shortcuts for "go to transport" and "guard position"
      commands. (Closes: #540846)
  * Adjust watch file to new version scheme
  * Drop warzone2100-video recommends, the package name will be
    different anyway. (Closes: #546539)

 -- Paul Wise <pabs@debian.org>  Sat, 16 Jan 2010 14:31:37 +1300

warzone2100 (2.3~beta3-1) experimental; urgency=low

  * New upstream beta release

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 15 Nov 2009 10:38:01 +0100

warzone2100 (2.2.4-3) unstable; urgency=low

  * Brown paper bag upload this time, ugh
  * Merge Build-Depends-Indep into Build-Depends to prevent FTBFS

 -- Paul Wise <pabs@debian.org>  Mon, 02 Nov 2009 19:36:10 +0800

warzone2100 (2.2.4-2) unstable; urgency=low

  * Pink paper bag upload (Zhenech says they are much sweeter XD)
  * Merge Build-Depends-Indep into Build-Depends to prevent FTBFS

 -- Paul Wise <pabs@debian.org>  Sun, 01 Nov 2009 23:13:32 +0800

warzone2100 (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Remove old configure options --with-opengl --with-ogg
  * Build/install the arch dep and indep stuff at the same time
    to prevent race conditions with install/install-indep

 -- Paul Wise <pabs@debian.org>  Mon, 19 Oct 2009 01:02:22 +0800

warzone2100 (2.2.3-1) unstable; urgency=low

  * New upstream release
    - New skybox image is CC0 instead of CC-BY 2.0, no need to repack
  * Adjust watch file to detect both .gz and .bz2 tarballs
  * Re-convert the upstream icons for the Debian menu since they changed

 -- Paul Wise <pabs@debian.org>  Sun, 20 Sep 2009 23:35:18 +0800

warzone2100 (2.2.2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Mon, 24 Aug 2009 23:32:48 +0800

warzone2100 (2.2.1+dfsg1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release (Closes: #534962)
  * Adjust the flex build-depends to take account of the conflict
    with all the versions of flex 2.5.34 (LP: #372872)
  * Make the -music Recommends more strict, 2.1 music doesn't work
    with 2.2.
  * Upstream moved the downloads to sourceforge, update the watch file
  * Bump Standards-Version, no changes needed
  * Drop use of dh_desktop since it no longer does anything
  * Recommend the new warzone2100-video package, version 2.2 or similar
  * Mention the warzone2100 crash reports in the -dbg package description

  [ Christoph Egger ]
  * Replace CC-2.0 graphic from cybersphinx, create a new tarball
  * Add myself to uploaders

 -- Christoph Egger <debian@christoph-egger.org>  Mon, 29 Jun 2009 17:12:52 +0200

warzone2100 (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Wrap Depends and Build-Depends

 -- Paul Wise <pabs@debian.org>  Thu, 02 Apr 2009 11:58:10 +0800

warzone2100 (2.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #519116)
  * Bump debhelper compat level
  * Silence lintian warning about GPL file location
  * Pad out the -data/-dbg/-music descriptions a bit
  * Bump Standards-Version, no changes needed
  * Move the -dbg package into the new debug section

 -- Paul Wise <pabs@debian.org>  Mon, 16 Mar 2009 01:42:25 +0900

warzone2100 (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 15 Jan 2009 18:57:34 +0000

warzone2100 (2.1.0-1) unstable; urgency=low

  * New upstream release
    - Is a stable release, it can be let into testing (Closes: #458275)
    - Uses right texture size for intel GPUs (Closes: #472403, LP: #241458)
  * Drop README.Debian because the issues are fixed (see above)
  * Don't recommend rejected community music, it is unlikely to return.
  * Improve the package description with feedback from upstream

 -- Paul Wise <pabs@debian.org>  Mon, 22 Dec 2008 18:40:33 +0900

warzone2100 (2.1.0~1.rc2-1) unstable; urgency=low

  * New upstream release candidate
  * Remove Linas Žvirblis from uploaders since he hasn't been
    heard from for a very long time.
  * Improve the cross-build support slightly

 -- Paul Wise <pabs@debian.org>  Thu, 04 Dec 2008 01:13:26 +0900

warzone2100 (2.1.0~1.rc1-1) unstable; urgency=low

  [ Bradley Smith ]
  * Change uploader email address. (brad@brad-smith.co.uk ->
    bradsmith@debian.org)

  [ Paul Wise ]
  * New upstream release candidate
  * Fix watch file to detect betas and release candidates (Closes: #502092)
  * Take over the warzone2100-music package and install the new music in it

 -- Paul Wise <pabs@debian.org>  Tue, 11 Nov 2008 19:47:46 +0900

warzone2100 (2.1.0~1.beta5-1) unstable; urgency=low

  * New upstream beta release
    - Fixes errors with warzone2100 --selftest (Closes: #493728)

 -- Paul Wise <pabs@debian.org>  Tue, 30 Sep 2008 00:28:45 +0800

warzone2100 (2.1.0~1.beta4-2) unstable; urgency=low

  * Cause the build to fail properly when there is an error (Closes: #494700)

 -- Paul Wise <pabs@debian.org>  Fri, 15 Aug 2008 15:13:54 -0300

warzone2100 (2.1.0~1.beta4-1) unstable; urgency=low

  * New upstream beta release (Closes: #491657)
    - fixes crash on "Destroy Reactor" campaign level (Closes: #474143)
  * Adjust compilation to be parallel-build safe
  * Remove the .pot file on clean
  * Support parallel=N in DEB_BUILD_OPTIONS
  * Document that not just intel cards have the texture problem
  * Drop quilt, zlib1g-dev, libmad0-dev, libjpeg-dev build-deps, not needed
  * Now compliant with policy 2.8.0, bump Standards-Version
  * Recommend soon-to-be-uploaded warzone2100-music package

 -- Paul Wise <pabs@debian.org>  Wed, 23 Jul 2008 01:21:40 +0800

warzone2100 (2.1.0~1.beta2-1) unstable; urgency=low

  * New upstream beta release (Closes: #471194)
    - displays breifings at high resolutions (Closes: #466897)
  * Add a debug symbols package to help debugging crashes
  * Ship the upstream 2.1 release notes file
  * Update Freedesktop icon caches in the postinst

 -- Paul Wise <pabs@debian.org>  Wed, 19 Mar 2008 01:23:48 +0900

warzone2100 (2.1.0~1.beta1-1) unstable; urgency=low

  * New upstream beta release
    - Drop fix-bogus-eof.patch (applied upstream)
  * Relax build-dependency on automake to satisfy lintian
  * Drop LGPL/GPL blurbs since they are not needed
  * Fix some issues with the copyright information
  * Drop AUTHORS file since the copyright includes it

 -- Paul Wise <pabs@debian.org>  Tue, 19 Feb 2008 15:13:15 +0900

warzone2100 (2.1.0~0.svn3595.dfsg.1-1) unstable; urgency=low

  * New upstream development snapshot
    - Breaks compatibility with previous savegames and netcode
    - Builds with GCC 4.3 (Closes: #462426)
    - Doesn't save invalid resolutions in the config (Closes: #460952)
  * Add a get-orig-source target for recreating the tarball
    - Remove win32/FlexBison.rules (non-free)
    - Remove upstream Debian packaging (annoying)
    - Remove all the tools code (too much copyright to audit)
  * Update & rewrite debian/copyright according to this proposal:
    http://wiki.debian.org/Proposals/CopyrightFormat

 -- Paul Wise <pabs@debian.org>  Fri, 01 Feb 2008 00:25:42 +0900

warzone2100 (2.1.0~0.svn3330-1) unstable; urgency=low

  * New upstream development snapshot
    - Breaks compatibility with r3260 savegames and netcode
  * Kill a bogus EOF. Upstream said: That code FUBAR (Closes: #458733)
  * Improve the data package description - it is data, not the game
  * Install the upstream icon into the 128x128 icon subdirectory

 -- Paul Wise <pabs@debian.org>  Sat, 05 Jan 2008 13:13:29 +0930

warzone2100 (2.1.0~0.svn3260-2) unstable; urgency=low

  * Brown paper bag upload
  * Don't attempt to build/install the data in binary-arch (Closes: #458526)
  * Disable debug because that turns compiler warnings into errors
  * Specifically use automake 1.10 since automake 1.9 is a higher priority in
    the alternatives for automake and we need automake 1.10 or greater.

 -- Paul Wise <pabs@debian.org>  Wed, 02 Jan 2008 11:31:35 +0930

warzone2100 (2.1.0~0.svn3260-1) unstable; urgency=low

  * New upstream development snapshot
    - No longer creates save-game files that cause segfaults (Closes: #435278)
    - Includes a workaround for amd64 OpenAL bug (Closes: #435804)
    - Doesn't crash in the sk-startup One Player Skirmish map (Closes: #435871)
    - Depends on libpopt for command-line parsing
    - Depends on quesoglc for text rendering
  * Remove homepages from package descriptions
  * Use the upstream SVG icon and FreeDesktop menu file
  * Bump Standards-Version (no changes)
  * Set the distributor to Debian
  * Add myself to Uploaders
  * Fix the watch file so it will match 2.1 but not rc versions
  * patch/build/install/clean stuff in a more standard manner
    - Use the quilt make snippet instead of custom patch rules
    - We now only run ./configure once during the build process
    - We now install the new translations into the data package
    - We now install the mods into the data package
    - Don't ignore errors from make clean
    - No extraneous changes can enter the diff.gz
  * Tell the build scripts which SVN version we are
  * Mention intel texture issue and possibility of savegame/net changes
  * Add Vcs-* fields to show where the package is developed
  * Add ${misc:Depends} to the dependencies
  * Use the comment from the upstream .desktop in the Debian menu file

 -- Paul Wise <pabs@debian.org>  Mon, 31 Dec 2007 15:11:34 +0930

warzone2100 (2.1.0~0.svn1436-1) unstable; urgency=low

  [ Linas Žvirblis ]
  * New upstream development snapshot of the upcoming 2.1 release.

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:43:57 +0000

warzone2100 (2.0.6+svn1192-1) UNRELEASED; urgency=low

  * New upstream development snapshot.

 -- Linas Žvirblis <0x0007@gmail.com>  Sun, 29 Apr 2007 13:44:34 +0300

warzone2100 (2.0.6-1) UNRELEASED; urgency=low

  * Initial release (Closes: #325935).

 -- Linas Žvirblis <0x0007@gmail.com>  Sun, 22 Apr 2007 16:13:41 +0300
